2

Recently I updated ubuntu 14.04 to kubuntu 16.04.Whenever I try to add ppa repositories through "add-apt-repository",its producing python error.Please help me solve this error or suggest alternative methods.Is this a python problem?I am trying to add wine using "sudo -E add-apt-repository ppa:ubuntu-wine/ppa".I get the following error

Traceback (most recent call last):
File "/usr/lib/python3.5/urllib/request.py", line 1243, in do_open
 h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.5/http/client.py", line 1106, in request
 self._send_request(method, url, body, headers)
File "/usr/lib/python3.5/http/client.py", line 1151, in _send_request
 self.endheaders(body)
File "/usr/lib/python3.5/http/client.py", line 1102, in endheaders
 self._send_output(message_body)
File "/usr/lib/python3.5/http/client.py", line 934, in _send_output
 self.send(msg)
File "/usr/lib/python3.5/http/client.py", line 877, in send
 self.connect()
File "/usr/lib/python3.5/http/client.py", line 1252, in connect
 super().connect()
File "/usr/lib/python3.5/http/client.py", line 849, in connect
 (self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.5/socket.py", line 693, in create_connection
 for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "/usr/lib/python3.5/socket.py", line 732, in getaddrinfo
 for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
 socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 102, in _get_https_content_py3
 lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
File "/usr/lib/python3.5/urllib/request.py", line 162, in urlopen
  return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 465, in open
  response = self._open(req, data)
File "/usr/lib/python3.5/urllib/request.py", line 483, in _open
 '_open', req)
File "/usr/lib/python3.5/urllib/request.py", line 443, in _call_chain
 result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 1286, in https_open
 context=self._context, check_hostname=self._check_hostname)
File "/usr/lib/python3.5/urllib/request.py", line 1245, in do_open
 raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -3] Temporary failure in  name resolution>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line    327, in get_ppa_info
 ret = get_ppa_info_from_lp(user, ppa)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line    92, in get_ppa_info_from_lp
 return get_info_from_lp(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 88, in get_info_from_lp
 return _get_https_content_py3(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 108, in _get_https_content_py3
 raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
 softwareproperties.ppa.PPAException: 'Error reading   https://launchpad.net/api/1.0/~ubuntu-wine/+archive/ubuntu/ppa: [Errno -3]  Temporary failure in name resolution'

 During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 393, in shortcut_handler
 return PPAShortcutHandler(shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 356, in __init__
 info = get_ppa_info(self.shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 339, in get_ppa_info
 _get_suggested_ppa_message(user, ppa))
softwareproperties.shortcuts.ShortcutException: Cannot add PPA:   'ppa:~ubuntu-wine/ubuntu/ppa'.
ERROR: '~ubuntu-wine' user or team does not exist.
Error: 'ppa:ubuntu-wine/ppa' invalid

Find the screenshot here

  • Please don't post screenshots of text. Copy the text here and apply code formatting. – muru Apr 21 '16 at 22:28
  • edited it!Please check. – Chandra Kant Apr 22 '16 at 10:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.